## ce2bf75dcdc722bdc068cfba76c26fa30deb13db

=== Makefile ===
clean:
	rm -rf htmlcov python-pycdlib.spec dist MANIFEST .coverage profile build *.lprof .mypy_cache
	find . -iname '*~' -exec rm -f {} \;
	find . -iname '*.pyc' -exec rm -f {} \;

deb:
	debuild -i -uc -us -b

docs:
	groff -mandoc -Thtml man/pycdlib-explorer.1 > docs/pycdlib-explorer.html
	groff -mandoc -Thtml man/pycdlib-extract-files.1 > docs/pycdlib-extract-files.html
	groff -mandoc -Thtml man/pycdlib-genisoimage.1 > docs/pycdlib-genisoimage.html
	./custom-pydoc.py > docs/pycdlib-api.html

flake8:
	-flake8-3 --ignore=E501,E266 pycdlib tools/*

# kernprof-3 comes from the "line_profiler" package.  It allows performance
# profiling on a line-by-line basis, but needs to be told which functions to
# profile by using an "@profile" decorator on particular functions.  The easiest
# way to use this is to profile using the built-in cProfile module (like the
# "profile" target), then mark the hotspots with "@profile", and then run
# the "lineprof" target.
lineprof:
	kernprof-3 -v -l /usr/bin/py.test-3 --verbose tests

mypy:
	mypy --ignore-missing-imports -m pycdlib

profile:
	python3 -m cProfile -o profile /usr/bin/py.test-3 --verbose tests
	python3 -c "import pstats; p=pstats.Stats('profile');p.strip_dirs();p.sort_stats('time').print_stats(30)"

pylint:
	-pylint-3 --rcfile=pylint.conf pycdlib tools/*

rpm: sdist
	rpmbuild -ba python-pycdlib.spec --define "_sourcedir `pwd`/dist"

sdist:
	python3 setup.py sdist

slowtests:
	-PYCDLIB_TRACK_WRITES=1 [ -x /usr/bin/python2 ] && py.test --runslow --verbose tests
	PYCDLIB_TRACK_WRITES=1 py.test-3 --basetemp=/var/tmp/pycdlib-tests --runslow --verbose tests

srpm: sdist
	rpmbuild -bs python-pycdlib.spec --define "_sourcedir `pwd`/dist"

test-coverage:
	PYCDLIB_TRACK_WRITES=1 coverage3 run --source pycdlib /usr/bin/py.test-3 --basetemp=/var/tmp/pycdlib-tests --runslow --verbose tests
	coverage3 html
	xdg-open htmlcov/index.html

tests:
	-[ -x /usr/bin/python2 ] && py.test --verbose tests
	py.test-3 --verbose tests

.PHONY: clean deb docs flake8 lineprof mypy profile pylint rpm sdist slowtests srpm test-coverage tests

=== debian/changelog ===
pycdlib (1.11.0-1) UNRELEASED; urgency=low

  * Release 1.11.0 of pycdlib

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 07 Oct 2020 21:00:00 -0500

pycdlib (1.10.0-1) UNRELEASED; urgency=low

  * Release 1.10.0 of pycdlib

 -- Chris Lalancette <clalancette@gmail.com>  Sun, 24 May 2020 21:00:00 -0500

pycdlib (1.9.0-1) UNRELEASED; urgency=low

  * Release 1.9.0 of pycdlib

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 20 Aug 2019 21:00:00 -0500

pycdlib (1.8.0-1) UNRELEASED; urgency=low

  * Release 1.8.0 of pycdlib

 -- Chris Lalancette <clalancette@gmail.com>  Sat, 10 Aug 2019 21:00:00 -0500

pycdlib (1.7.0-1) UNRELEASED; urgency=low

  * Release 1.7.0 of pycdlib

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 27 Feb 2019 21:00:00 -0500

pycdlib (1.6.0-1) UNRELEASED; urgency=low

  * Release 1.6.0 of pycdlib

 -- Chris Lalancette <clalancette@gmail.com>  Sun, 29 Jul 2018 21:00:00 -0500

pycdlib (1.5.0-1) UNRELEASED; urgency=low

  * Release 1.5.0 of pycdlib

 -- Chris Lalancette <clalancette@gmail.com>  Sat, 23 Jun 2018 21:00:00 -0500

pycdlib (1.4.0-1) UNRELEASED; urgency=low

  * Release 1.4.0 of pycdlib

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 04 May 2018 21:00:00 -0500

pycdlib (1.3.2-1) UNRELEASED; urgency=low

  * Release 1.3.2 of pycdlib

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 20 Nov 2017 21:00:00 -0500

pycdlib (1.3.1-1) UNRELEASED; urgency=low

  * Release 1.3.1 of pycdlib

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 20 Nov 2017 19:00:00 -0500

pycdlib (1.3.0-1) UNRELEASED; urgency=low

  * Release 1.3.0 of pycdlib

 -- Chris Lalancette <clalancette@gmail.com>  Sun, 19 Nov 2017 21:00:00 -0500

pycdlib (1.2.0-1) UNRELEASED; urgency=low

  * Release 1.2.0 of pycdlib

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 03 Oct 2017 21:00:00 -0500

pycdlib (1.1.0-1) UNRELEASED; urgency=low

  * Release 1.1.0 of pycdlib

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 31 Jan 2017 21:00:00 -0500

pycdlib (1.0.0-1) UNRELEASED; urgency=low

  * Release 1.0.0 of pycdlib

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 25 Oct 2016 21:00:00 -0500

pycdlib (0.1.0-1) UNRELEASED; urgency=low

  * Initial release of pycdlib

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 19 Nov 2015 21:00:00 -0500

=== debian/control ===
Source: pycdlib
Maintainer: Chris Lalancette <clalancette@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6.6-3), dh-python, python-setuptools, python3-all, python3-setuptools
Standards-Version: 3.9.4
Homepage: https://github.com/clalancette/pycdlib
Vcs-Git: https://github.com/clalancette/pycdlib.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-pycdlib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Pure python ISO9660 read and write library
 Pycdlib is a pure python library for reading, writing, and otherwise
 manipulating ISO9660 files.  It is focused on speed, correctness, and
 conformance to the various standards around ISO9660, including ISO9660 itself,
 the Joliet extensions, the Rock Ridge extensions, the El Torito boot
 extensions, and the UDF standard.

Package: python3-pycdlib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Pure python ISO9660 read and write library
 Pycdlib is a pure python library for reading, writing, and otherwise
 manipulating ISO9660 files.  It is focused on speed, correctness, and
 conformance to the various standards around ISO9660, including ISO9660 itself,
 the Joliet extensions, the Rock Ridge extensions, the El Torito boot
 extensions, and the UDF standard.

Package: pycdlib-tools
Depends: ${misc:Depends}, ${python:Depends}, python-pycdlib, python2
Architecture: all
Description: Tools based on pycdlib
 This package contains tools that depend on the pycdlib library to operate.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = pycdlib

%:
	dh $@ --buildsystem=pybuild --with=python2,python3

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://github.com/clalancette/pycdlib/tags \
 /clalancette/pycdlib/archive/v(.*).tar.gz
